import React, { ReactNode } from 'react';
interface Props {
    children: ReactNode;
    onClose?: () => void;
    parameters?: {
        [key: string]: string;
    };
}
interface ContentBoxContext {
    onClose?: () => void;
    parameters?: {
        [param: string]: any;
    };
}
declare const ContentBoxContext: React.Context<ContentBoxContext>;
export default function ContextProvider({ children, onClose, parameters }: Props): React.JSX.Element;
export declare const useContentBoxState: () => ContentBoxContext;
export {};
//# sourceMappingURL=index.d.ts.map